﻿namespace UltraScheduleCustomPring
{
    using System;
    using System.Windows.Forms;
    using Infragistics.Win;

    public partial class Form1 : Form
    {
        public Form1()
        {
            this.InitializeComponent();
            this.Load += Form1_Load;
            this.buttonPrint.Click += ButtonPrint_Click;
            this.comboBox1.SelectedIndexChanged += ComboBox1_SelectedIndexChanged;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.comboBox1.SelectedIndex = 0;
        }

        private void ButtonPrint_Click(object sender, EventArgs e)
        {
            this.ultraSchedulePrintDocument1.Print();
        }

        private void ComboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            var combo = sender as ComboBox;
            if(combo == null)
                return;

            switch(combo.SelectedIndex)
            {
                case 0:
                    if(this.ultraSchedulePrintDocument1.CreationFilter != null)
                        this.ultraSchedulePrintDocument1.CreationFilter = null;

                    this.ultraSchedulePrintDocument1.IncludeDateHeaderArea = false;
                    this.ultraSchedulePrintDocument1.Header.Height = 30;
                    this.ultraSchedulePrintDocument1.Header.TextLeft = "SOME CUSTOM TEXT";
                    this.ultraSchedulePrintDocument1.Header.Appearance.FontData.Bold = DefaultableBoolean.True;
                    this.ultraSchedulePrintDocument1.Header.Appearance.FontData.SizeInPoints = 19;
                    break;
                case 1:
                    this.ultraSchedulePrintDocument1.ResetHeader();
                    this.ultraSchedulePrintDocument1.IncludeDateHeaderArea = true;
                    this.ultraSchedulePrintDocument1.CreationFilter = new CF();
                    break;
            }

        }
    }
}
